library(dplyr)

mat <- matrix(NA, nrow=6, ncol=2)

a <- c(37,23,10,9,9,8,4)
b <- c("CDU/CSU", "SPD", "Die Linke", "AFD", "FDP", "B90", "Others")    

data <- as.data.frame(cbind(a,b))

# true model
a <- c(rep("CDU/CSU", 37), 
       rep("SPD", 23),
       rep("Die Linke", 10),
       rep("AfD", 9),
       rep("FDP", 9),
       rep("B90", 8),
       rep("Others", 4))

# population = 10,000
b <- c(rep("CDU/CSU", 3700), 
       rep("SPD", 2300),
       rep("Die Linke", 1000),
       rep("AfD", 900),
       rep("FDP", 900),
       rep("B90", 800),
       rep("Others", 400))
b <- as.data.frame(b)

poll <- table(a)
pdf("g1.pdf", width=8, height=6)
barplot(poll, main="True model", xlab="% of votes", axis.lty=1, ylim=c(0, 40),
        col=c("lightblue", "green", "blue", "orange", "yellow", "darkgreen", "red"))
abline(h=5,col="#444444", lty=2)
dev.off()

set.seed(1)
n1 <- sample_n(b, 50, replace = FALSE)
poll1 <- 2*table(n1)
pdf("g2.pdf", width=8, height=6)
barplot(poll1, main="Poll 1", xlab="% of votes", axis.lty=1, ylim=c(0, 40),
        col=c("lightblue", "green", "blue", "orange", "yellow", "darkgreen", "red"))
abline(h=5,col="#444444", lty=2)
dev.off()

set.seed(5)
n1 <- sample_n(b, 50, replace = FALSE)
poll1 <- 2*table(n1)
pdf("g3.pdf", width=8, height=6)
barplot(poll1, main="Poll 2", xlab="% of votes", axis.lty=1, ylim=c(0, 40),
        col=c("lightblue", "green", "blue", "orange", "yellow", "darkgreen", "red"))
abline(h=5,col="#444444", lty=2)
dev.off()

set.seed(9)
n1 <- sample_n(b, 50, replace = FALSE)
poll1 <- 2*table(n1)
pdf("g4.pdf", width=8, height=6)
barplot(poll1, main="Poll 3", xlab="% of votes", axis.lty=1, ylim=c(0, 40),
        col=c("lightblue", "green", "blue", "orange", "yellow", "darkgreen", "red"))
abline(h=5,col="#444444", lty=2)
dev.off()